#!/bin/sh -f

for f in $* ; do
  name=`basename $f`

  tr '\n' '\r' <$f >t$$

  if test -r $name ; then
    diff t$$ $name >/dev/null 2>/dev/null
    s=$?
  else
    s=1
  fi

  if test $s = "0" ; then
    /bin/rm -f t$$
  else
    echo "Convert $f to $name"
    mv t$$ $name
  fi
done
